[android-components](../../index.md) / [mozilla.components.tooling.lint](../index.md) / [LintIssueRegistry](./index.md)

# LintIssueRegistry

`class LintIssueRegistry` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/tooling/lint/src/main/java/mozilla/components/tooling/lint/LintIssueRegistry.kt#L14)

Registry which provides a list of our custom lint checks to be performed on an Android project.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `LintIssueRegistry()`<br>Registry which provides a list of our custom lint checks to be performed on an Android project. |

### Properties

| Name | Summary |
|---|---|
| [api](api.md) | `val api: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
| [issues](issues.md) | `val issues: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<<ERROR CLASS>>` |
